# Uses of Class
java.awt.color.ColorSpace

Packages that use ColorSpace
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.color
Provides classes for color spaces.
java.awt.image
Provides classes for creating and modifying images.
javax.imageio
The main package of the Java Image I/O API.

- ## Uses of ColorSpace in java.awt

  Methods in java.awt that return ColorSpace
  Modifier and Type
  Method
  Description
  `ColorSpace`
  Color.`getColorSpace()`
  Returns the `ColorSpace` of this `Color`.
  Methods in java.awt with parameters of type ColorSpace
  Modifier and Type
  Method
  Description
  `float[]`
  Color.`getColorComponents(ColorSpace cspace, float[] compArray)`
  Returns a `float` array containing only the color components of the `Color` in the `ColorSpace` specified by the `cspace` parameter.
  `float[]`
  Color.`getComponents(ColorSpace cspace, float[] compArray)`
  Returns a `float` array containing the color and alpha components of the `Color`, in the `ColorSpace` specified by the `cspace` parameter.
  Constructors in java.awt with parameters of type ColorSpace
  Modifier
  Constructor
  Description
  ``
  `Color(ColorSpace cspace, float[] components, float alpha)`
  Creates a color in the specified `ColorSpace` with the color components specified in the `float` array and the specified alpha.

- ## Uses of ColorSpace in java.awt.color

  Subclasses of ColorSpace in java.awt.color
  Modifier and Type
  Class
  Description
  `class`
  `ICC_ColorSpace`
  The `ICC_ColorSpace` class is an implementation of the abstract `ColorSpace` class.
  Methods in java.awt.color that return ColorSpace
  Modifier and Type
  Method
  Description
  `static ColorSpace`
  ColorSpace.`getInstance(int cspace)`
  Returns a `ColorSpace` representing one of the specific predefined color spaces.

- ## Uses of ColorSpace in java.awt.image

  Methods in java.awt.image that return ColorSpace
  Modifier and Type
  Method
  Description
  `final ColorSpace`
  ColorModel.`getColorSpace()`
  Returns the `ColorSpace` associated with this `ColorModel`.
  Constructors in java.awt.image with parameters of type ColorSpace
  Modifier
  Constructor
  Description
  ``
  `ColorConvertOp(ColorSpace srcCspace, ColorSpace dstCspace, RenderingHints hints)`
  Constructs a new ColorConvertOp from two ColorSpace objects.
  ``
  `ColorConvertOp(ColorSpace cspace, RenderingHints hints)`
  Constructs a new ColorConvertOp from a ColorSpace object.
  `protected`
  `ColorModel(int pixel_bits, int[] bits, ColorSpace cspace, boolean hasAlpha, boolean isAlphaPremultiplied, int transparency, int transferType)`
  Constructs a `ColorModel` that translates pixel values to color/alpha components.
  ``
  `ComponentColorModel(ColorSpace colorSpace, boolean hasAlpha, boolean isAlphaPremultiplied, int transparency, int transferType)`
  Constructs a `ComponentColorModel` from the specified parameters.
  ``
  `ComponentColorModel(ColorSpace colorSpace, int[] bits, boolean hasAlpha, boolean isAlphaPremultiplied, int transparency, int transferType)`
  Constructs a `ComponentColorModel` from the specified parameters.
  ``
  `DirectColorModel(ColorSpace space, int bits, int rmask, int gmask, int bmask, int amask, boolean isAlphaPremultiplied, int transferType)`
  Constructs a `DirectColorModel` from the specified parameters.
  ``
  `PackedColorModel(ColorSpace space, int bits, int[] colorMaskArray, int alphaMask, boolean isAlphaPremultiplied, int trans, int transferType)`
  Constructs a `PackedColorModel` from a color mask array, which specifies which bits in an `int` pixel representation contain each of the color samples, and an alpha mask.
  ``
  `PackedColorModel(ColorSpace space, int bits, int rmask, int gmask, int bmask, int amask, boolean isAlphaPremultiplied, int trans, int transferType)`
  Constructs a `PackedColorModel` from the specified masks which indicate which bits in an `int` pixel representation contain the alpha, red, green and blue color samples.

- ## Uses of ColorSpace in javax.imageio

  Methods in javax.imageio with parameters of type ColorSpace
  Modifier and Type
  Method
  Description
  `static ImageTypeSpecifier`
  ImageTypeSpecifier.`createBanded(ColorSpace colorSpace, int[] bankIndices, int[] bandOffsets, int dataType, boolean hasAlpha, boolean isAlphaPremultiplied)`
  Returns a specifier for a banded image format that will use a `ComponentColorModel` and a `BandedSampleModel` to store each channel in a separate array.
  `static ImageTypeSpecifier`
  ImageTypeSpecifier.`createInterleaved(ColorSpace colorSpace, int[] bandOffsets, int dataType, boolean hasAlpha, boolean isAlphaPremultiplied)`
  Returns a specifier for an interleaved image format that will use a `ComponentColorModel` and a `PixelInterleavedSampleModel` to store each pixel component in a separate byte, short, or int.
  `static ImageTypeSpecifier`
  ImageTypeSpecifier.`createPacked(ColorSpace colorSpace, int redMask, int greenMask, int blueMask, int alphaMask, int transferType, boolean isAlphaPremultiplied)`
  Returns a specifier for a packed image format that will use a `DirectColorModel` and a packed `SampleModel` to store each pixel packed into in a single byte, short, or int.